body{
    margin-top: 5px;
    background-color: #FAF0CA;
    width:100%;
}

/* Navbar */
.navbar {
    width: 95%;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: #0D3B66;
    color: #F6F7EB;
}

.navbar-brand {
  
    display: flex;
    align-items: center;
    gap: 12px;
}

.navbar-brand h1 {
    margin-left: 30%;
    color: #F6F7EB;
}

.navbar-lien {
    display: flex;
    align-items: center;
    gap: 8px;
}

.navbar a {
    text-decoration: none;
    color: #F6F7EB;
}

.navbar a:hover {
    text-decoration: underline;
}

/* -------------------- */
/* Tout ce fait dans lui */

.main {
    width: 90%;
    margin: 0 auto;
}

/* -------------------- */
/* Categorie */
.categories {
    padding-top: 10px;
    padding-bottom: 10px;
    margin: 0 auto;
    background-color: #0D3B66;
    color: #F6F7EB;
    height: fit-content;
}

.categories-form {
    text-align: center;
    padding: 5px;
}

.categories-list {
    /* Enlève étoile/nombre devant l'item de la liste (ul / li)*/
    list-style: none;
    padding: 0;
    text-align: center;
}

.categories-label {
    color: #F6F7EB !important;
}

.categories-label:hover span {
    color: #F4D35E
}

.categories-span {
    display: flex;
    flex-direction: column;
    align-items: center;
}
/* -------------------- */
/* Barre de recherche */

.recherche {
    background-color: #0D3B66;
    vertical-align: center;
}

.recherche-form {
    padding: 5px;
}

.recherche-label {
    color: #F6F7EB !important;
}

.recherche-input {
    width: 90%;
}

/* Panier */
.panier-articles {
    padding: 10px;
    margin: 0 auto;
    padding-right: 10px !important;
    background-color: #0D3B66;
    text-align: center;
    color: #F6F7EB;
    height: fit-content;
}

/* Sommaire */

.sommaire {
    padding-top: 10px;
    padding-bottom: 10px;
    margin: 0 auto;
    background-color: #0D3B66;
    text-align: center;
    color: #F6F7EB;
    height: fit-content;
}

.sommaire-contenu {
    margin-top: 8px;
}


/* -------------------- */
/* Carte */

.carte {
    margin: 1.5%;
    width: 30%;
    background-color: #0D3B66;
    text-align: center;
}

.carte-lien {
    cursor: default;
    text-decoration: none;
    color: #F6F7EB !important
}

.carte-img {
    width: 210px;
    height: 250px;
    margin: 0 auto;
}

.carte-icon {
    width: 40px;
    height: auto;
    margin: 5px;

}

.carte-prix {
    margin: 5px;
    color: #F6F7EB;
}

.carte-yeux {
    text-decoration: none;
}

/* -------------------- */
/* Aucune carte */
.aucun-trouver {
    margin-top: 10px;
    height: 100px;
    background-color: #0D3B66;
    color: #F6F7EB;
    text-align: center;
}

/* -------------------- */
/* Contact */
.infos {
    background-color: #0D3B66;
    color: #F6F7EB;
    margin-top: 10px;
    width: 100%;
    text-align: center;
    align-items: center;
}

/* -------------------- */
/* Effet */

.bulles {
    border-radius: 10px;
    padding: 5px;
}

.cloture {
    border-bottom-style: dashed;
    border-left-style: double;
    border-right-style: double;
    border-top-style: dashed;
}

.vague-h:hover {
    text-decoration: underline wavy;
    text-decoration-color: #F4D35E;
}

.espace-b-40 {
    margin-bottom: 40px;
}

/* Inscription */
.inscription {

    width: 60%;
    margin: 0 auto;
    margin-top: 50px;
    background-color: #0D3B66;
    color: #F6F7EB;
}

.inscription h1 {
    text-align: center;
}

.inscription-button {
    display: flex;
    justify-content: center;

}

.inscription-contenu {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.inscription-contenu label {
    margin-top: 10px;
    font-weight: 500;
}

.inscription-contenu input {
    width: 100%;
    max-width: 400px;
}

.inscription-contenu select {
    width: 100%;
    max-width: 400px;
}


/* Profil */
.profil {
    width: 60%;
    margin: 0 auto;
    margin-top: 50px;
    background-color: #0D3B66;
    color: #F6F7EB;
}

.profil h1 {
    text-align: center;
}

.profil-contenu {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.profil-contenu label {
    margin-top: 10px;
    font-weight: 500;
}

.profil-contenu input {
    width: 100%;
    max-width: 400px;
}

.profil-contenu select {
    width: 100%;
    max-width: 400px;
}

.profil-button {
    display: flex;
    justify-content: center;

}

/* Connexion */

.connexion {

    width: 60%;
    margin: 0 auto;
    margin-top: 50px;
    background-color: #0D3B66;
    color: #F6F7EB;
}

.connexion h1 {
    text-align: center;
}

.connexion-button {
    display: flex;
    justify-content: center;

}

.connexion-contenu {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.connexion-contenu label {
    margin-top: 10px;
    font-weight: 500;
}

.connexion-contenu input {
    width: 100%;
    max-width: 400px;
}

/* Paiement */

.paiement {
    background-color: #0D3B66;
    color: #F6F7EB;
}

.credit {
    background-color: #F6F7EB;
    color: #0D3B66;
}

/* Historique */
.historique-titre {
  
    margin-top: 20px;
    margin-bottom: 20px;
    color: #0D3B66;
}

.historique-contenu {
    background-color: #0D3B66;
    color: #F6F7EB;
    margin-bottom: 16px;
    padding: 16px;
}

.historique-contenu p {
    margin: 6px 0;
}

.historique-contenu h4 {
    margin-bottom: 10px;
    color: #F4D35E;
}

/* Pour Inputmask   */
.error-msg {
    display: block;
    font-size: 12px;
    color: #c0392b;
    margin-top: 4px;
    min-height: 16px;
}
